Debian Bug report logs - #699950
ITA: festival-doc -- Documentation for Festival

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Kartik Mistry <kartik@debian.org>

Date: Thu, 7 Feb 2013 07:36:03 UTC

Owned by: tts-project@lists.alioth.debian.org

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kartik@debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Thu, 07 Feb 2013 07:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kartik Mistry <kartik@debian.org>:
New Bug report received and forwarded. Copy sent to kartik@debian.org, wnpp@debian.org. (Thu, 07 Feb 2013 07:36:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kartik Mistry <kartik@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: festival-doc
Date: Thu, 7 Feb 2013 13:03:49 +0530
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

Maintainer of festival can pick this up and update. This documentation is very
old too.

--
Kartik Mistry | IRC: kart_
{0x1f1f, kartikm}.wordpress.com
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'O: festival-doc -- Documentation for Festival' from 'O: festival-doc' Request was from Boris Pek <tehnick-8@yandex.ru> to control@bugs.debian.org. (Fri, 08 Feb 2013 08:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Sat, 09 Feb 2013 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Feb 2013 06:15:03 GMT) Full text and rfc822 format available.

Message #12 received at 699950@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: 699950@bugs.debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>, Sergio Oller <sergioller@gmail.com>, Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Subject: Festival-doc was orphaned by Kartik - should this be removed from the archive at this point?
Date: Sat, 9 Feb 2013 17:12:04 +1100
[Message part 1 (text/plain, inline)]
Dear Users of Festival-doc,

As one of the uploaders for festival and speech-tools I wish to start the
discussion about this recently
orphaned package.

I note that upstream has not updated the documentation since version 1.4 of
festival ( we are now up to version 2.1).
Is it really appropriate to keep this doc package in Debian? Should it be
removed entirely?

I have noticed that this documentation is very out of date upstream.
I would not be interested in assisting with this orphan package unless
someone persuades me otherwise.
Do the other maintainer/uploaders for festival have an opinion?

Looking forward to hearing your comments.

Should we be supporting some other information e.g. including a short file
with some
links to various sources of information about festival (possibly including
link to this old manual)
from within the festival package itself?

best regards,
Peter
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Sat, 09 Feb 2013 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Philippe MENGUAL <mengualjeanphi@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Feb 2013 14:39:03 GMT) Full text and rfc822 format available.

Message #17 received at 699950@bugs.debian.org (full text, mbox):

From: Jean-Philippe MENGUAL <mengualjeanphi@free.fr>
To: Peter Drysdale <drysdalepete@gmail.com>
Cc: 699950@bugs.debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>, Sergio Oller <sergioller@gmail.com>, Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Subject: Re: Festival-doc was orphaned by Kartik - should this be removed from the archive at this point?
Date: Sat, 9 Feb 2013 15:36:52 +0100
On Saturday 09 Feb 2013 à 17:12:04 (+1100), Peter Drysdale wrote:
> Dear Users of Festival-doc,
Hi,

Yes, I still exist! :) I follow your threads. Sorry to be quiet but life is strange
in various aspects, including computing. And as I see some very technical and
efficient debates take place between you, I don't react.
But I don't stay far. :)

> As one of the uploaders for festival and speech-tools I wish to start the
> discussion about this recently
> orphaned package.
> 
> I note that upstream has not updated the documentation since version 1.4 of
> festival ( we are now up to version 2.1).
> Is it really appropriate to keep this doc package in Debian? Should it be
> removed entirely?
> 
> I have noticed that this documentation is very out of date upstream.
> I would not be interested in assisting with this orphan package unless
> someone persuades me otherwise.
> Do the other maintainer/uploaders for festival have an opinion?

Theorically I could adopt such package to include it in festival. However if
i!'s obsolete, it's likely not a good ide. Nevertheless, does it mean that no
doc exists for festival which is updated? If no, I think we can let this
package orphan. If one exists, I think we should replace the contents of
festival-doc with this new updated doc. Another question: isn't there any recent
doc in the festival package? If yes, we can change control and rules files to
generate festival and festival-doc packages from festival source.
What's the exact situation of the doc upstream? Missing any up-to-date doc?
In the source? In another place? I think the answer determines how to deal with
the debian package.

> Looking forward to hearing your comments.
> 
> Should we be supporting some other information e.g. including a short file
> with some
> links to various sources of information about festival (possibly including
> link to this old manual)
> from within the festival package itself?

If absolutely no doc exists, yes, I think it's a good idea to add a README.Debian.
If the doc is really not relevant, yes it should be removed I think.

Sincerely,

> best regards,
> Peter



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Sat, 09 Feb 2013 15:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Feb 2013 15:06:05 GMT) Full text and rfc822 format available.

Message #22 received at 699950@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Jean-Philippe MENGUAL <mengualjeanphi@free.fr>
Cc: Peter Drysdale <drysdalepete@gmail.com>, 699950@bugs.debian.org, Sergio Oller <sergioller@gmail.com>, Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Subject: Re: Festival-doc was orphaned by Kartik - should this be removed from the archive at this point?
Date: Sat, 9 Feb 2013 16:03:29 +0100
I completely agree with Jean-Philippe :)

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Sat, 09 Feb 2013 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Feb 2013 23:48:03 GMT) Full text and rfc822 format available.

Message #27 received at 699950@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: Samuel Thibault <sthibault@debian.org>, 699950@bugs.debian.org, Jean-Philippe MENGUAL <texou@accelibreinfo.eu>, Sergio Oller <sergioller@gmail.com>
Subject: Re: Festival-doc was orphaned by Kartik - should this be removed from the archive at this point?
Date: Sun, 10 Feb 2013 10:46:32 +1100
[Message part 1 (text/plain, inline)]
Dear Maintainer/Uploaders of festival and Users of festival-docs,

To clarify the situation. festival-doc currently contains a html and ps
(Postscript) version of
the "Festival Manual". The version number is 1.4.2 and dates from 25th July
2001.

CMU (the current employer of Prof. Alan Black - one of the original authors
of festival)
has an online version of the manual version number 1.4.3 and dated 27th
December 2002.

CSTR at University of Edinburgh - (the University where festival was
originally written) has an
online version of the manual version number 1.4.0 and dated 17th July 1999.

No later copies of the main content of "Festival Manual" appear to have
been published.

The current Debian festival (not festival-docs) package ships a copy of
"Festival Manual"
as part of the festival deb file. It is labelled 1.4.3. It like all the
others is old.
It is superior to the CMU online version in one respect the festival Scheme
interpreter
function list  at the end of this manual is dynamically regenerated from
the source
code each time we build the festival package. Thus is reflects the
"function comment lines"
of the current Debian version of festival.

Please note the copy of "Festival manual" we ship with the festival deb is
in "info" format
and may be accessed using "info festival" command.

I didn't really care which format I use hence my suggestion that we drop
festival-doc. BUT...

The format may be important from an a11y perspective for our users !

Based your combined knowledge a11y issues could everyone give an opinion on
"info"
vs "html" vs "ps". Please everyone give your opinion on this.

Should we just choose one of those formats not necessarily the current
"info" format
for bundling with festival deb and drop festival-doc or are the additional
formats important?

I strongly suggest from now on we build whatever manuals regenerated from
the actual
festival source code in our current deb. This suggests festival-doc even if
it is decided
to continue to exist should be a binary package built from the common
festival source package,
i.e. from the debian/control and debian/rules files of the festival source
package.

Based on this I think it would be appropriate for JP as maintainer of
festival to issue a
Debian ITA over the orphaned packages while we decide the formats and then
choose
whether we ship a binary festival-doc package built from festival source
package or only ship the one format
(as best serves the need of a11y users) inside the festival binary package.

I look forward to hearing your experiences on formats from a a11y
perspective. Comments?

I hope you agree that we should regenerate any shipped version of "Festival
manual" (even
though the bulk text is old) from our source code as we do for the current
"info" format (which
may change based on your input). Comments?

I have not pursued the speech-tools angle yet, but as a precaution I think
JP should Debian ITA in
his capacity as maintainer of speech-tools while we figure out how to
integrate its building out
of the common source or drop etc...

with very best regards,
Peter
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Tue, 12 Feb 2013 03:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergio Oller <sergioller@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 12 Feb 2013 03:51:05 GMT) Full text and rfc822 format available.

Message #32 received at 699950@bugs.debian.org (full text, mbox):

From: Sergio Oller <sergioller@gmail.com>
To: Peter Drysdale <drysdalepete@gmail.com>
Cc: Samuel Thibault <sthibault@debian.org>, 699950@bugs.debian.org, Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Subject: Re: Festival-doc was orphaned by Kartik - should this be removed from the archive at this point?
Date: Tue, 12 Feb 2013 04:48:11 +0100
[Message part 1 (text/plain, inline)]
Dear all,

I will try to give my two cents, although I'm not an a11y expert :-)

2013/2/10 Peter Drysdale <drysdalepete@gmail.com>

> Dear Maintainer/Uploaders of festival and Users of festival-docs,
>
> To clarify the situation. festival-doc currently contains a html and ps
> (Postscript) version of
> the "Festival Manual". The version number is 1.4.2 and dates from 25th
> July 2001.
>
> CMU (the current employer of Prof. Alan Black - one of the original
> authors of festival)
> has an online version of the manual version number 1.4.3 and dated 27th
> December 2002.
>
>  CSTR at University of Edinburgh - (the University where festival was
> originally written) has an
> online version of the manual version number 1.4.0 and dated 17th July 1999.
>
> No later copies of the main content of "Festival Manual" appear to have
> been published.
>
> The current Debian festival (not festival-docs) package ships a copy of
> "Festival Manual"
> as part of the festival deb file. It is labelled 1.4.3. It like all the
> others is old.
> It is superior to the CMU online version in one respect the festival
> Scheme interpreter
> function list  at the end of this manual is dynamically regenerated from
> the source
> code each time we build the festival package. Thus is reflects the
> "function comment lines"
> of the current Debian version of festival.
>

Even though the Festival documentation may be old it is still quite
accurate, as Festival has not changed much in the past 10 years :-)


>
> Please note the copy of "Festival manual" we ship with the festival deb is
> in "info" format
> and may be accessed using "info festival" command.
>
> I didn't really care which format I use hence my suggestion that we drop
> festival-doc. BUT...
>
> The format may be important from an a11y perspective for our users !
>
> Based your combined knowledge a11y issues could everyone give an opinion
> on "info"
> vs "html" vs "ps". Please everyone give your opinion on this.
>

I would say that HTML is better than PS for accessibility. For instance, I
am not able to select text using evince from the festival manual included
in the festival-doc package. Maybe modern PS or modern PDF formats such as
[PDF/UA](http://en.wikipedia.org/wiki/PDF/UA) are good for accessibility
purposes, but I have seen many more a11y-ready web pages than a11y-ready
PDF files.

Regarding the info format... I don't know much about its a11y... :-S


>
> Should we just choose one of those formats not necessarily the current
> "info" format
> for bundling with festival deb and drop festival-doc or are the additional
> formats important?
>
> I strongly suggest from now on we build whatever manuals regenerated from
> the actual
> festival source code in our current deb. This suggests festival-doc even
> if it is decided
> to continue to exist should be a binary package built from the common
> festival source package,
> i.e. from the debian/control and debian/rules files of the festival source
> package.
>
I agree. The festival-doc source package should be removed and the
festival-doc and speech-tools-doc binary packages should be built from
festival and speech-tools sources respectively.

>
> Based on this I think it would be appropriate for JP as maintainer of
> festival to issue a
> Debian ITA over the orphaned packages while we decide the formats and then
> choose
> whether we ship a binary festival-doc package built from festival source
> package or only ship the one format
> (as best serves the need of a11y users) inside the festival binary package.
>
>  I look forward to hearing your experiences on formats from a a11y
> perspective. Comments?
>
> I hope you agree that we should regenerate any shipped version of
> "Festival manual" (even
> though the bulk text is old) from our source code as we do for the current
> "info" format (which
> may change based on your input). Comments?
>
I agree completely.

>
> I have not pursued the speech-tools angle yet, but as a precaution I think
> JP should Debian ITA in
> his capacity as maintainer of speech-tools while we figure out how to
> integrate its building out
> of the common source or drop etc...
>
> with very best regards,
> Peter
>
> Best regards,

Sergio
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Tue, 12 Feb 2013 13:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 12 Feb 2013 13:39:06 GMT) Full text and rfc822 format available.

Message #37 received at 699950@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: Sergio Oller <sergioller@gmail.com>
Cc: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>, 699950@bugs.debian.org, Samuel Thibault <sthibault@debian.org>
Subject: Re: Festival-doc was orphaned by Kartik - should this be removed from the archive at this point?
Date: Wed, 13 Feb 2013 00:35:18 +1100
[Message part 1 (text/plain, inline)]
Dear All,

Sergio's feedback inspired me to push forward in looking at the
implementation scenarios
for building the doc binary packages from our source package. Our existing
texinfo build
dependency should make it easy enough to push out any of:- info, HTML or pdf
formats.

I am happy to do a patch after wheezy thaws. :-)

Further discussion in the coming month on a11y will determine the format/s.

best regards,
Peter
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Tue, 12 Feb 2013 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 12 Feb 2013 13:48:03 GMT) Full text and rfc822 format available.

Message #42 received at 699950@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Peter Drysdale <drysdalepete@gmail.com>
Cc: Sergio Oller <sergioller@gmail.com>, Jean-Philippe MENGUAL <texou@accelibreinfo.eu>, 699950@bugs.debian.org
Subject: Re: Festival-doc was orphaned by Kartik - should this be removed from the archive at this point?
Date: Tue, 12 Feb 2013 14:45:01 +0100
Peter Drysdale, le Wed 13 Feb 2013 00:35:18 +1100, a écrit :
> Sergio's feedback inspired me to push forward in looking at the implementation
> scenarios
> for building the doc binary packages from our source package. Our existing
> texinfo build
> dependency should make it easy enough to push out any of:- info, HTML or pdf
> formats.
> 
> I am happy to do a patch after wheezy thaws. :-)
> 
> Further discussion in the coming month on a11y will determine the format/s.

Well I'd say that provided it's a separate package, just building all
formats will be fine.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Tue, 28 May 2013 23:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 28 May 2013 23:00:04 GMT) Full text and rfc822 format available.

Message #47 received at 699950@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: 699950@bugs.debian.org
Cc: Ryan Kavanagh <rak@debian.org>
Subject: Re: Festival-doc was orphaned by Kartik - should this be removed from the archive at this point?
Date: Wed, 29 May 2013 08:56:00 +1000
[Message part 1 (text/plain, inline)]
In light of discussions with Ryan Kavanagh any solution to building
festival-doc from the main
festival source package should not use texi2html but it replacement.

This mail is a noteholder in the bug log for festival-doc orphan bug.

I would like to thank Ryan for his contribution to understanding a solution
to the constraints of building
festival-doc from festival source.

best regards,
Peter Drysdale
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Fri, 31 May 2013 02:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Drysdale <drysdalepete@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 31 May 2013 02:24:05 GMT) Full text and rfc822 format available.

Message #52 received at 699950@bugs.debian.org (full text, mbox):

From: Peter Drysdale <drysdalepete@gmail.com>
To: 699950@bugs.debian.org
Cc: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>, Samuel Thibault <samuel.thibault@ens-lyon.org>, Sergio Oller <sergioller@gmail.com>
Subject: Re: Festival-doc was orphaned by Kartik - should this be removed from the archive at this point?
Date: Fri, 31 May 2013 12:21:54 +1000
[Message part 1 (text/plain, inline)]
In light of my desire to retire from the list of festival and speech-tools
uploaders I shall not
be able to act on this bug.

best regards,
Peter Drysdale


On Wed, May 29, 2013 at 8:56 AM, Peter Drysdale <drysdalepete@gmail.com>wrote:

> In light of discussions with Ryan Kavanagh any solution to building
> festival-doc from the main
> festival source package should not use texi2html but it replacement.
>
> This mail is a noteholder in the bug log for festival-doc orphan bug.
>
> I would like to thank Ryan for his contribution to understanding a
> solution to the constraints of building
> festival-doc from festival source.
>
> best regards,
> Peter Drysdale
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Sat, 03 Aug 2013 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergio Oller <sergioller@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 03 Aug 2013 16:18:03 GMT) Full text and rfc822 format available.

Message #57 received at 699950@bugs.debian.org (full text, mbox):

From: Sergio Oller <sergioller@gmail.com>
To: Peter Drysdale <drysdalepete@gmail.com>
Cc: 699950@bugs.debian.org, Jean-Philippe MENGUAL <texou@accelibreinfo.eu>, Samuel Thibault <samuel.thibault@ens-lyon.org>
Subject: Re: Festival-doc was orphaned by Kartik - should this be removed from the archive at this point?
Date: Sat, 3 Aug 2013 18:14:52 +0200
[Message part 1 (text/plain, inline)]
I will try to push this bug forward:

festival-doc source package builds two packages: festival-doc and
speech-tools-doc. Once we have a build system working for both packages, I
suggest Jean-Philippe intends to adopt festival-doc source package (or the
TTS team adopts it, I don't know :-) ).

Here is the status of building both packages from festival and speech-tools
sources:

Regarding festival-doc:
===================
I have managed to successfully build festival-doc from the festival source
package using texi2html.
As Ryan Kavanagh pointed to Peter, there is a transition from texi2html to
texinfo [1]. Until I have properly replaced texi2html with texinfo I will
not commit any patch unless you prefer to have a texi2html temporal
solution.

I have to read how to replace texi2html with texinfo, I hope it is not
going to be hard, given that many people may have done this transition
before :-)


Regarding speech-tools-doc:
=====================
Building speech-tools-doc from src:speech-tools is not trivial.

Current issues:
----------------------

 - It depends on Doc++ (an automatic documentation program not updated
since 2003 [2] and removed from debian repository [3]).
 - It depends on jade which seems to be being replaced by openjade because
(according to jade's changelog [4] and jade's website [5]) it has not
received any upstream update since 1999.
 - The manual is in DocBook V3.0 and quite integrated with Doc++ specific
XML output format.


Proposed solution: (I am working on it now)
--------------------------
- Replace Doc++ with Doxygen. Doxygen is quite standard for source
documentation nowadays. It can provide output in HTML and PDF formats and
initially it was partially based on Doc++ [6], so its syntax is quite
similar.
- Replace the sgml manual with markdown pages. Doxygen is markdown friendly
and this change would allow us to integrate the manual with the source code
documentation and build everything together (with links from the manual to
the source documentation, etc...).

* Pros:
- The proposed solution would drop all documentation dependencies (doc++,
jade, perl...) and only leave doxygen, which seems to have good support and
is a very active project with many users.
- The Makefile will be much simpler.
- Markdown format is extensively used in many projects and very easy to
read in raw format.

* Cons:
- Converting sgml pages to markdown may lead to a patch of considerable
size. I will try to estimate its size ASAP.




As always, alternative solutions, comments, likes/dislikes are very welcome
:-)


References:
===========
[1] http://lists.debian.org/debian-devel/2013/05/msg01580.html
[2] http://sourceforge.net/projects/docpp/files/doc%2B%2B/
[3] http://packages.qa.debian.org/d/doc++.html
[4]
http://ftp-master.metadata.debian.org/changelogs//main/j/jade/jade_1.2.1-47.3_changelog
[5] http://www.jclark.com/jade/
[6] http://www.stack.nl/~dimitri/doxygen/#acknowledgements
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699950; Package wnpp. (Fri, 03 Jan 2014 12:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergio Oller <sergioller@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 03 Jan 2014 12:39:04 GMT) Full text and rfc822 format available.

Message #62 received at 699950@bugs.debian.org (full text, mbox):

From: Sergio Oller <sergioller@gmail.com>
To: Peter Drysdale <drysdalepete@gmail.com>
Cc: 699950@bugs.debian.org, Jean-Philippe MENGUAL <texou@accelibreinfo.eu>, Samuel Thibault <samuel.thibault@ens-lyon.org>
Subject: Re: Festival-doc was orphaned by Kartik - should this be removed from the archive at this point?
Date: Fri, 3 Jan 2014 13:35:08 +0100
[Message part 1 (text/plain, inline)]
Here is an updated status of the bug:

There is a git repository in [1] with festival-doc. I have added myself as
a maintainer, and I will maintain both festival-doc and speech-tools-doc
until they are merged into festival and speech-tools (which I help
maintaining as part of the Text To Speech group).

Regarding festival-doc, a patch is ready to generate HTML and PS
documentation from festival sources, so I have removed festival-doc from
the src:festival-doc debian/control and debian/rules files.

Regarding speech-tools-doc, due to the doc++ to doxygen change, my current
and almost final patch states:
226 changed files with 16087 additions and 11335 deletions.

I have submitted this patch upstream, and they gave me a big thank you
(they could not build speech-tools documentation either). Upstream said
they are going to merge it and include it in their next release, hopefully
soon.


All this said, this is my first adoption of an orphaned package, so if I
have forgotten any step, or done any wrong thing please feel free to
correct me.


[1] http://anonscm.debian.org/gitweb/?p=tts/festival-doc.git;a=summary




2013/8/3 Sergio Oller <sergioller@gmail.com>

> I will try to push this bug forward:
>
> festival-doc source package builds two packages: festival-doc and
> speech-tools-doc. Once we have a build system working for both packages, I
> suggest Jean-Philippe intends to adopt festival-doc source package (or the
> TTS team adopts it, I don't know :-) ).
>
> Here is the status of building both packages from festival and
> speech-tools sources:
>
> Regarding festival-doc:
> ===================
> I have managed to successfully build festival-doc from the festival source
> package using texi2html.
> As Ryan Kavanagh pointed to Peter, there is a transition from texi2html to
> texinfo [1]. Until I have properly replaced texi2html with texinfo I will
> not commit any patch unless you prefer to have a texi2html temporal
> solution.
>
> I have to read how to replace texi2html with texinfo, I hope it is not
> going to be hard, given that many people may have done this transition
> before :-)
>
>
> Regarding speech-tools-doc:
> =====================
> Building speech-tools-doc from src:speech-tools is not trivial.
>
> Current issues:
> ----------------------
>
>  - It depends on Doc++ (an automatic documentation program not updated
> since 2003 [2] and removed from debian repository [3]).
>  - It depends on jade which seems to be being replaced by openjade because
> (according to jade's changelog [4] and jade's website [5]) it has not
> received any upstream update since 1999.
>  - The manual is in DocBook V3.0 and quite integrated with Doc++ specific
> XML output format.
>
>
> Proposed solution: (I am working on it now)
> --------------------------
> - Replace Doc++ with Doxygen. Doxygen is quite standard for source
> documentation nowadays. It can provide output in HTML and PDF formats and
> initially it was partially based on Doc++ [6], so its syntax is quite
> similar.
> - Replace the sgml manual with markdown pages. Doxygen is markdown
> friendly and this change would allow us to integrate the manual with the
> source code documentation and build everything together (with links from
> the manual to the source documentation, etc...).
>
> * Pros:
> - The proposed solution would drop all documentation dependencies (doc++,
> jade, perl...) and only leave doxygen, which seems to have good support and
> is a very active project with many users.
> - The Makefile will be much simpler.
> - Markdown format is extensively used in many projects and very easy to
> read in raw format.
>
> * Cons:
> - Converting sgml pages to markdown may lead to a patch of considerable
> size. I will try to estimate its size ASAP.
>
>
>
>
> As always, alternative solutions, comments, likes/dislikes are very
> welcome :-)
>
>
> References:
> ===========
> [1] http://lists.debian.org/debian-devel/2013/05/msg01580.html
> [2] http://sourceforge.net/projects/docpp/files/doc%2B%2B/
> [3] http://packages.qa.debian.org/d/doc++.html
> [4]
> http://ftp-master.metadata.debian.org/changelogs//main/j/jade/jade_1.2.1-47.3_changelog
> [5] http://www.jclark.com/jade/
> [6] http://www.stack.nl/~dimitri/doxygen/#acknowledgements
>
>
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITA: festival-doc -- Documentation for Festival' from 'O: festival-doc -- Documentation for Festival' Request was from Sergio Oller <sergioller@gmail.com> to control@bugs.debian.org. (Mon, 10 Feb 2014 17:39:04 GMT) Full text and rfc822 format available.

Owner recorded as tts-project@alioth.lists.debian.org. Request was from Sergio Oller <sergioller@gmail.com> to control@bugs.debian.org. (Mon, 10 Feb 2014 17:39:05 GMT) Full text and rfc822 format available.

Owner changed from tts-project@alioth.lists.debian.org to tts-project@lists.alioth.debian.org. Request was from Sergio Oller <sergioller@gmail.com> to control@bugs.debian.org. (Mon, 10 Feb 2014 18:18:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, tts-project@lists.alioth.debian.org:
Bug#699950; Package wnpp. (Sun, 16 Feb 2014 19:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to conference@wcseswet.org.uk:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, tts-project@lists.alioth.debian.org. (Sun, 16 Feb 2014 19:09:05 GMT) Full text and rfc822 format available.

Message #73 received at 699950@bugs.debian.org (full text, mbox):

From: "World Conference On WCSESWET 2014" <experts@wcseswet.co.uk>
Subject: We Invite You To Take Part ---------
Date: Mon, 17 Feb 2014 01:50:30 +0800
Dear Colleague,
It is a great honor to invite you to the World Conference on Strategy for
Energy sustainability, Water and Environment Techniques (WCSESWET 2014),
to be held in London, is dedicated to the improvement and dissemination of
knowledge on methods, policies and technologies for increasing the
sustainability of development by de-coupling growth from natural resources
and replacing them with knowledge based economy, taking into account its
economic, environmental and social pillars, as well as methods for
assessing and measuring sustainability of development, regarding energy,
transport, water, environment and food production systems and their many
combinations. Sustainability being also a perfect field for
interdisciplinary and multi-cultural evaluation of complex system. The
WCSESWET 2014 will bring together researchers in those areas to meet, and
originate, discuss, share, and disseminate new ideas. The scope of the
Conference will cover the following areas but are not limited to:

*Energy from live forms and biomass *Renewable energies *Green energy
technology *Economic modeling of energy technologies *Elements of
sustainable agriculture *Energy and Environment *Hydrocarbon Products and
Processing *Nuclear Power *Electric Power Systems *Heat Management
*Industrial Energy Efficiency *Carbon Sequestration and Storage
*Building Efficiency Technologies *Renewable energy technologies
*Role, potential and impact of unconventional /renewable energy sources
*Efficient use of energy and alternative systems *Integrated / hybrid
cleaner renewable energy systems *Hydrogen energy production, storage and
transmission *Nuclear energy and environmental protection
*Socio-economic considerations in environmental friendly energy
technologies *Low GHG fuels/vehicles *Biomass processes and biofuels
*Energy management *Energy policies *Energy and the environment
*Energy analysis *Energy efficiency *International / national policy,
planning & strategy for energy *sustainability *Regional issues, economics
& policies *Energy savings and emission reduction
*Energy audit and on-site measurement *Energy storage and energy
investment feasibility *Energy documentation & information services
*Energy efficient buildings and green designs.

ENVIRONMENT
*Water, air, noise and land pollution *Environmental pollution and its
effect on ecosystems *Environmental pollution monitoring
*Water supply and wastewater treatment *Air pollution control
*Solid waste management *Modeling, simulation and optimization
*Eco-informatics; Ecological modelling *Ecosystem assessment
*Impact, risk and life cycle assessment *Environmental integrated
management and policy making *Environmental friendly materials
*Sustainable tourism *Urban and Rural Ecology *Waste Management
(industrial, domestic, natural) *Environmental Technology and Management
*Environmental Political Economy *Biodiversity Conservation & Protected
Areas Management *Ecological and Environmental Quality Studies
*Safety & risk management systems *Environmental Manufacturing &
Engineering *Cleaner Technologies, Control, Treatment & Remediation
Techniques *Life Cycle Assessment, Risk Assessment, Health and Safety
Impact Assessment *Thermodynamics of ecosystems; Nutrients and functions
of ecosystems *Biodiversity and its conservation *Environment and
ecological policies *Conservation, restoration and management of
ecosystems / biodiversity *Monitoring, quality assessment, health impacts
and control measures *Treatment processes: physical, chemical and
biological *Environmental auditing; Environmental impact assessment
*Environmental economics, policies and management *Biotechnology and
environment *Environmental education and professional practices
*Built environment; Environmental performance of building designs
*Computer Modeling & Applications, Remote Sensing, GIS *Environmental
management and remote sensing *Remote sensing for land use/land cover
*LIDAR, hyperspectral and microwave remote sensing *GIS/GPS applications
*Oceanographic remote sensing *Monitoring of climate change indicators
using remote sensing *Recovery of damaged areas and remote sensing
*Atmospheric flow and oceanic flow *Flow through porous media; Ground
water and aquifer contamination *Water exploration and management
*Water resources and river basin management *Contaminant transport in
groundwater and soil *Assessment of current and future vulnerability of
water resources *Ergonomics of physical environment
Physiology *Human thermal environment; Thermal comfort; Modelling
*Hearing sound & noise; Vision & lighting *Protective and performance
clothing *Whole body & hand arm vibration *Hypobaric & hyperbaric
environment *Challenges, global agenda, regulations and policies
*Sustainable development and clean technologies *Environmental ethics;
Environmental education *Ecological economics and sustainable development
Growth and environment *Sustainability indicators; Sustainable process
models *International strategy for energy, development and environment.

Proposal Submission: Interested presenters should submit an abstract of
less than 800 words and a short bio of 100 words on or before 27th
February,2014.

Registration: Each presenter is entitled to come with 1 or 2 delegates
either from the same institution/organization or as the case maybe.
Registration should be done immediately the abstract is accepted.
Registration is free of charge for delegates from developing countries.
Also free flight tickets, travel insurance, visa fees and per diem will be
provided for all paper presenters and participating delegates.

Email us for more details on online registration, abstract submission,
full papers, power point presentation, accommodation, flight and venue.

Important Dates:
Date For Abstract Submission: 27th February,2014.
Final Paper Submissions: 20th March, 2014
WCSESWET 2014 Conference Dates: 14-18 April, 2014

We look forward to welcoming you at the conference.

Regards,

Dr.Greg Williams
Secretary,
Ph:+447053828357
Address: 80-86 Grays Inn Rd London WC1X 8NH,United Kingdom.




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:24:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.